Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
cache_entry Struct Reference

## Data Fields
VALUE | filled_version
ID | mid
VALUE | klass
rb_method_entry_t * | me
VALUE | defined_class

## Detailed Description

Definition at line 20 of file vm_method.c.

## Field Documentation

VALUE cache_entry::defined_class

Definition at line 25 of file vm_method.c.

Referenced by rb_export_method(), rb_method_entry(), rb_method_entry_get_without_cache(), rb_method_entry_with_refinements(), and rb_method_entry_without_refinements().

VALUE cache_entry::filled_version

Definition at line 21 of file vm_method.c.

Referenced by rb_method_entry(), rb_method_entry_get_without_cache(), and vm_clear_global_method_cache().

VALUE cache_entry::klass

Definition at line 23 of file vm_method.c.

Referenced by rb_alias(), rb_method_entry(), rb_method_entry_get_without_cache(), rb_undef(), and remove_method().

rb_method_entry_t* cache_entry::me

Definition at line 24 of file vm_method.c.

Referenced by check_definition(), rb_export_method(), rb_method_basic_definition_p(), rb_method_boundp(), rb_method_entry(), rb_method_entry_get_without_cache(), rb_method_entry_with_refinements(), rb_method_entry_without_refinements(), rb_mod_modfunc(), rb_resolve_refined_method(), rb_undef(), and remove_method().

ID cache_entry::mid

Definition at line 22 of file vm_method.c.

Referenced by obj_respond_to(), rb_method_entry(), and rb_method_entry_get_without_cache().

The documentation for this struct was generated from the following file:

- vm_method.c